// GetDeclaredMethodsTest.java
import java.lang.reflect.*;
class MyClass {
	MyClass() { }
	MyClass(int x, String s) { }
	public static String f() throws ArithmeticException {
		return "Hello";
	}
	public final synchronized void g(int x, String s)  { }
	private void h(){}
	public void h(int x, String s) { }
}
class GetDeclaredMethodsTest {
	public static void main(String args[]) throws Exception{
		Class c = Class.forName("MyClass");
		Method [] m = c.getDeclaredMethods();
		for (int i = 0; i < m.length; i++) {
			Method x = m[i];
			System.out.print(Modifier.toString(
					x.getModifiers())+ " ");
			System.out.print(x.getReturnType()+ " ");
			System.out.print(x.getName() + " (");
			Class pt[] = x.getParameterTypes();
 			for (int j = 0; j < pt.length; j++)
				System.out.print(pt[j].getName() + ", ");

			System.out.print(") ");
			Class et[] = x.getExceptionTypes();
			for (int j = 0; j < et.length; j++)
				System.out.print(et[j].getName() + ", ");
			System.out.println();
		}
	}
}
