// CollationKeyTest.java
import java.text.*;
import java.util.*;
class StringArray {
	String s[] = {"ab", "Aa", "AB", "aa"};
	CollationKey [] ck;
	StringArray(Collator co) {
		ck = new CollationKey[s.length];
		for (int i = 0; i < s.length; i++)
			ck[i] = co.getCollationKey(s[i]);
	}
	void sort() {		// Bubble Sort
		CollationKey tmp;
		for (int i = 0; i < ck.length; i++)
			for (int j = i + 1; j < ck.length; j++) {
				if( ck[i].compareTo(ck[j]) > 0 ) {
					tmp = ck[i];
					ck[i] = ck[j];
					ck[j] = tmp;
				}
			}
	}
	void print() {
		for (int i = 0; i < ck.length; i++)
			System.out.println(ck[i].getSourceString());
	}
}
class CollationKeyTest {
	public static void main(String[] args) {
		Locale lc = Locale.US;
		Collator co = Collator.getInstance(lc);
		StringArray sa = new StringArray(co);
		sa.sort();
		sa.print();
	}
}

