// CollatorTest.java
import java.text.*;
import java.util.*;
class StringArray {
	String [] s = { "ab", "Aa", "AB", "aa"};
	Collator co;
	StringArray(Collator co) { this.co = co; }
	void sort() {		// Bubble Sort
		String tmp;
		for (int i = 0; i < s.length; i++)
			for (int j = i + 1; j < s.length; j++) {
				if( co.compare(s[i], s[j] ) > 0 ) {
					tmp = s[i];
					s[i] = s[j];
					s[j] = tmp;
				}
			}
	}
	void print() {
		for (int i = 0; i < s.length; i++)
			System.out.println(s[i]);
	}
}
class CollatorTest {
	public static void main(String[] args) {
		Locale lc = Locale.US;
		Collator co = Collator.getInstance(lc);
		StringArray sa = new StringArray(co);
		sa.sort();
		sa.print();
	}
}
