// ActiveEventTest.java
import java.awt.*;
import java.awt.peer.*;
class MyActiveEvent extends AWTEvent implements ActiveEvent {
	MyActiveEvent() {
		super("MyActiveEvent", 1234);
	}
	public void dispatch() {
		System.out.println(getID());
	}
}
class ActiveEventTest {
	public static void main(String args[]) {
		Toolkit t = Toolkit.getDefaultToolkit();
		EventQueue q = t.getSystemEventQueue();
		q.postEvent(new MyActiveEvent());
	}
}
