// ActionTest.java
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
class MyAction extends AbstractAction {
	MyAction(String s, Icon i) {
		super(s, i);
	}
	public void actionPerformed(ActionEvent e) {
		System.out.println(e.getActionCommand());
	}
}
class ActionTest extends JFrame {
	ActionTest() {
		MyAction a = new MyAction("Hello",
				new ImageIcon("images/world.gif"));

		JMenuBar mb = new JMenuBar();
		JMenu m = mb.add(new JMenu("Greeting"));
		m.add(new JMenuItem(a));
		m.add(new JMenuItem("Hi"));
		m.add(new JMenuItem("What's up?"));
		setJMenuBar(mb);

		JToolBar tb = new JToolBar();
		tb.add(new JButton(a));
		tb.add(new JButton("Hi"));
		tb.add(new JButton("What's up?"));

		getContentPane().add(tb, BorderLayout.SOUTH);
		setSize(200,200);
		setVisible(true);
	}
	public static void main(String s[]) {
		new ActionTest();
	}
}
