// Borders.java
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
public class Borders extends JFrame {
	Borders() {
		Container cp = getContentPane();
		// cp.setLayout(new GridLayout(6,2));
		JButton jb; Border b;

		jb = new JButton("Raised Bevel");
		 b = new BevelBorder(BevelBorder.RAISED);
		jb.setBorder(b);
		cp.add(jb);

		jb = new JButton("Lowered Bevel");
		b = new BevelBorder(BevelBorder.LOWERED);
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Soft Raised Bevel");
		b = new SoftBevelBorder(BevelBorder.RAISED);
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Soft Lowered Bevel");
		b = new SoftBevelBorder(BevelBorder.LOWERED);
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Line");
		 b = new LineBorder(Color.blue);
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Etched");
		b = new EtchedBorder();
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Title");
		b = new TitledBorder("Title");
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Title with Bevel");
		TitledBorder tb = new TitledBorder(new BevelBorder(BevelBorder.RAISED), "Title");
		tb.setTitlePosition(TitledBorder.ABOVE_TOP);
		tb.setTitleJustification(TitledBorder.RIGHT);
		jb.setBorder(tb); cp.add(jb);

		jb = new JButton("Title with Subtitle");
		tb = new TitledBorder(new TitledBorder("Title"), "Subtitle");
		tb.setTitlePosition(TitledBorder.BOTTOM);
		tb.setTitleJustification(TitledBorder.RIGHT);
		jb.setBorder(tb); cp.add(jb);

		jb = new JButton("Empty");
		b = new EmptyBorder(10,10,10,10);
		jb.setBorder(b); cp.add(jb);

		jb = new JButton("Compound");
		Border b1 = new MatteBorder(10, 5, 10, 5, Color.green);
		Border b2 = new TitledBorder("Title");
		Border cb = new CompoundBorder(b1, b2);
		
		jb.setBorder(cb); cp.add(jb);
		setSize(300,100);
		setVisible(true);
	}
	public static void main(String args[]) {
		new Borders();
	}
}
// <applet code=Borders width=300 height=100></applet>