// BoundedRange.java
import javax.swing.*;
import javax.swing.event.*;
class MyChangeListener implements ChangeListener {
	public void stateChanged(ChangeEvent e) {
		DefaultBoundedRangeModel m = 
		 		(DefaultBoundedRangeModel) e.getSource();
		int min = m.getMinimum();
		int max = m.getMaximum();
		int ext = m.getExtent();
		System.out.println(min + "," + max + "," + ext);
	}
}
class BoundedRange {
	public static void main(String args[]) {
		DefaultBoundedRangeModel m = 
					new DefaultBoundedRangeModel();
		m.addChangeListener(new MyChangeListener());
		m.setMinimum(20);
		m.setMaximum(80);
		m.setExtent(30);
	}
}
