// CellRenderer.java
import javax.swing.*;
import java.awt.*;
class MyCellRenderer extends JLabel implements ListCellRenderer {
	Icon ic[];
	MyCellRenderer(Icon ic[]) {
		this.ic = ic;
		setOpaque(true);
	}
	public Component getListCellRendererComponent(
		JList jl, Object o, int i, boolean s, boolean f) {
		setText(o.toString());
		setIcon(ic[i]);
		if (s) {
			setBackground(jl.getSelectionBackground());
			setForeground(jl.getSelectionForeground());
		} else {
			setBackground(jl.getBackground());
			setForeground(jl.getForeground());
		}
		return this;
	}
}
public class CellRenderer extends JApplet {
	String s[] = {"copy", "cut", "paste"};
	ImageIcon ic[] = { new ImageIcon("images/Copy.gif"),
			new ImageIcon("images/Cut.gif"),
			new ImageIcon("images/Paste.gif") };
	public void init() {
		JList jl = new JList(s);
		jl.setCellRenderer(new MyCellRenderer(ic));
		getContentPane().add(jl);
	}
}
// <applet code=CellRenderer width=200 height=150></applet>
