// GraphicIcon.java
import java.awt.*;
import javax.swing.*;
class OvalIcon implements Icon {
	int width, height;
	OvalIcon(int w, int h) { width = w; height = h; }
	public void paintIcon(Component c, Graphics g, int x, int y) {
		g.drawOval(x, y, width-1, height-1);
	}
	public int getIconWidth() { return width; }
	public int getIconHeight() { return height; }
}
public class GraphicIcon extends JApplet {
	public void init() {
		JLabel l = new JLabel("MyLabel", new OvalIcon(30,40),
SwingConstants.CENTER);
		// l.setHorizontalTextPosition(SwingConstants.CENTER);
		Container cp = getContentPane();
		cp.setLayout(new FlowLayout());
		cp.add(l);
	}
}
// <applet code=GraphicIcon width=200 height=100></applet>
