// JTreeRender.java
import javax.swing.*;
import javax.swing.tree.*;
import java.util.*;
import java.awt.*;
public class JTreeRender extends JApplet {
	public void init() {
		String g[] = {"Hello", "Hi", "What's up?"};
		String f[] = {"Bye", "Good Night"};
		Hashtable h = new Hashtable();
		h.put("Greeting", g);
		h.put("Farewell", f);
		JTree t = new JTree(h);
		t.setRowHeight(40); 	// 40 pixels height
		DefaultTreeCellRenderer r =
			(DefaultTreeCellRenderer) t.getCellRenderer();
		r.setLeafIcon(new ImageIcon("images/duke2.gif"));
		r.setOpenIcon(new ImageIcon("images/door.open.gif"));
		r.setClosedIcon(new ImageIcon("images/door.closed.gif"));
		r.setFont(new Font("Courier New",Font.BOLD,20));
		r.setTextNonSelectionColor(Color.blue);
		r.setTextSelectionColor(Color.red);
		r.setBackgroundNonSelectionColor(Color.yellow);
		r.setBackgroundSelectionColor(Color.lightGray);
		getContentPane().add(t);
	}
}
// <applet code=JTreeRender width=300 height=300></applet>
