// TableSelection.java
import javax.swing.*;
import javax.swing.event.*;
class MyListener implements ListSelectionListener {
	JTable t;
	MyListener(JTable t) { this.t = t; }
	public void valueChanged(ListSelectionEvent e) {
		if (e.getValueIsAdjusting()) {
			int r = t.getSelectedRow();
			int c = t.getSelectedColumn();
			System.out.println(t.getValueAt(r, c));
		}
	}
}
public class TableSelection extends JApplet {
	JTable t = new JTable(
		new String[][] {{"123", "John Rambo", "Math"},
				{"666", "Jack Ripper", "Bio"},
				{"013", "Ted Bundy", "Computer"}},
		new String[] {"Id", "Name", "Department"});
	public void init() {
		t.setCellSelectionEnabled(true);
		ListSelectionModel sm = t.getSelectionModel();
		sm.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		sm.addListSelectionListener(new MyListener(t));
		getContentPane().add(new JScrollPane(t));
	}
}
// <applet code=TableSelection width=300 height=100></applet>
