// ColorFilter.java
import java.awt.image.*;
class ColorFilter extends RGBImageFilter {
	public int filterRGB(int x, int y, int rgb) {
		int r = rgb & 0x00ff0000;
		int g = rgb & 0x0000ff00;
		int b = rgb & 0x000000ff;
		return 0xff000000 | (b << 16) | g | (r >>16);
	}
}
