// Graphics2DAnimate.java
import java.awt.*;
import java.applet.*;
import java.awt.image.*;
public class Graphics2DAnimate extends Applet implements Runnable {
	int x = 0, w, h;
	BufferedImage bi;
	Graphics2D g2;
	public void init() {
		w = getSize().width;
		h = getSize().height;
		bi = new BufferedImage(w,h,BufferedImage.TYPE_INT_RGB);
		g2 = bi.createGraphics();
		new Thread(this).start();
	}
	public void update(Graphics g) {
		g2.setColor(Color.white);
		g2.fillRect(0, 0, w, h);
		g2.setColor(Color.red); 
		g2.fillOval(x, 5, 90, 90);
		g.drawImage(bi, 0, 0, null);
		x += 3;
	}
	public void run() {
		while ( x < getSize().width) {
			try { Thread.sleep(100); }
			catch (Exception e) { }
			repaint();
		}
	}
}
// <applet code=Graphics2DAnimate width=300 height=100></applet>
