// ImageTexture.java
import java.awt.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.applet.*;
import javax.swing.*;
public class ImageTexture extends Applet {
	TexturePaint tp;
	public void init() {
		ImageIcon ii = new ImageIcon("images/duke.gif");
		Image i = ii.getImage();
		int w = i.getWidth(this);
		int h = i.getHeight(this);
		System.out.println(w + "," +h);

		BufferedImage bi = new BufferedImage(w, h, BufferedImage.TYPE_INT_RGB);
		bi.createGraphics().drawImage(i, 0, 0, this);
		Rectangle r = new Rectangle(0, 0, w, h);
		tp = new TexturePaint(bi, r);
	}
	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.setPaint(tp);
		g2.fill(new Rectangle2D.Double(15, 15, 80, 80));
		g2.setFont(new Font("Dialog", Font.BOLD, 38));
		g2.drawString("Hello", 10, 160);
	}
}
// <applet code=ImageTexture width=100 height=200></applet>
