// TexturePaintTest.java
import java.awt.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.applet.*;
public class TexturePaintTest extends Applet {
	public void paint(Graphics g) {
		BufferedImage bi = new BufferedImage(5, 5, BufferedImage.TYPE_INT_RGB);
		Graphics2D tg = bi.createGraphics();
		tg.setColor(Color.blue);
		tg.fillRect(0, 0, 5, 5);
		tg.setColor(Color.green);
		tg.fillOval(0, 0, 5, 5);
		Rectangle r = new Rectangle(0, 0, 5, 5);
		TexturePaint tp = new TexturePaint(bi, r);

		Graphics2D g2 = (Graphics2D) g;
		g2.setPaint(tp);
		g2.fill(new Rectangle2D.Double(15, 15, 80, 80));
		g2.setFont(new Font("Dialog", Font.BOLD, 38));
		g2.drawString("Hello", 10, 160);
	}
}
// <applet code=TexturePaintTest width=100 height=200></applet>
