// InfNewInstance.java
interface I { void print(); }
class A implements I {
	public void print() {
		System.out.println("Hello, I am A.");
	}
}
class B implements I {
	public void print() {
		System.out.println("Hello, I am B.");
	}
}
class InfNewInstance {
	public static void main(String args[]){
		try {
			Class c = Class.forName(args[0]);
			I i = (I)c.newInstance();
			i.print();
		}
		catch(Exception e) {
			System.out.println(e);
		}
	}
}
