// ScrollbarTest.java
// using MyFrame class from CloseableFrame.java
import java.awt.*;
import java.awt.event.*;
class MyAdjustmentListener implements AdjustmentListener {
	public void adjustmentValueChanged(AdjustmentEvent e) {
		switch(e.getAdjustmentType()) {
		case AdjustmentEvent.ADJUSTMENT_VALUE_CHANGED:
			System.out.print("ADJUSTMENT_VALUE_CHANGED"); break;
		case AdjustmentEvent.BLOCK_DECREMENT:
			System.out.print("BLOCK_DECREMENT"); break;
		case AdjustmentEvent.BLOCK_INCREMENT:
			System.out.print("BLOCK_INCREMENT"); break;
		case AdjustmentEvent.TRACK:
			System.out.print("TRACK"); break;
		case AdjustmentEvent.UNIT_DECREMENT:
			System.out.print("UNIT_DECREMENT"); break;
		case AdjustmentEvent.UNIT_INCREMENT:
			System.out.print("UNIT_INCREMENT");
		}
		System.out.println("  : "+e.getValue());
	}
}
class ScrollbarTest {
	public static void main(String args[]) {
		MyFrame f = new MyFrame();
		Scrollbar sb = new Scrollbar(Scrollbar.HORIZONTAL,0,1,0, 100);
		f.add(sb);
		sb.addAdjustmentListener(new MyAdjustmentListener());
		f.validate();
	}
}
