// FileViewTest.java
import javax.swing.*;
import javax.swing.filechooser.*;
import java.io.*;
import java.util.*;
class MyFileView extends FileView {
	private Hashtable ic = new Hashtable();
	public String getExtension(File f) {
		String n = f.getName();
		if(n != null) {
			int i = n.lastIndexOf('.');
			if(i < 0)
				return null;
			return n.substring(i+1);
		}
		return null;
	}
	public void addIcon(String e, Icon i) {
		ic.put(e, i);
	}
	public Icon getIcon(File f) {
		String e = getExtension(f);
		if (e != null)
			return (Icon) ic.get(e);
		return null;
	}
}
class FileViewTest {
	public static void main(String args[]) {
		JFileChooser fc = new JFileChooser(".");
		MyFileView fv = new MyFileView();
		fv.addIcon("java", new ImageIcon("images/duke2.gif"));
		fv.addIcon("class", new ImageIcon("images/world.gif"));
		fc.setFileView(fv);
		int r = fc.showOpenDialog(null);
	}
}
