// JScrollBarTest.java
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
class MyAdjustmentListener implements AdjustmentListener {
	JLabel l;
	MyAdjustmentListener(JLabel l) { this.l = l; }
	public void adjustmentValueChanged(AdjustmentEvent e) {
		l.setText(e.getValue() + "");
	}
}
public class JScrollBarTest extends JApplet {
	public void init() {
		JLabel l = new JLabel("0", JLabel.CENTER);
		JScrollBar sb = new JScrollBar(JScrollBar.HORIZONTAL);
		sb.setMinimum(10);
		sb.setMaximum(90);
		sb.setUnitIncrement(1);
		sb.setBlockIncrement(5);
		sb.addAdjustmentListener(new MyAdjustmentListener(l));
		Container cp = getContentPane();
		cp.add(l, BorderLayout.CENTER);
		cp.add(sb, BorderLayout.NORTH);
	}
}
// <applet code=JScrollBarTest width=300 height=80></applet>
