// LnFTest.java
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
class MyLnFListener implements ActionListener {
	JApplet ja = null;
	String lnf;
	MyLnFListener(JApplet a, String l) {
		ja = a; lnf = l;
	}
	public void actionPerformed(ActionEvent a) {
		try {
			UIManager.setLookAndFeel(lnf);
			SwingUtilities.updateComponentTreeUI(ja);
		} catch(Exception e) {
			System.out.println(e);
		}
	}
}
public class LnFTest extends JApplet {
	String win = "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";
	String mot = "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
	String met = "javax.swing.plaf.metal.MetalLookAndFeel";
	public void init() {
		Container cp = getContentPane();
		cp.setLayout(new FlowLayout());
		JButton b1 = new JButton("Windows");
		JButton b2 = new JButton("Motif");
		JButton b3 = new JButton("Metal");
		b1.addActionListener(new MyLnFListener(this, win));
		b2.addActionListener(new MyLnFListener(this, mot));
		b3.addActionListener(new MyLnFListener(this, met));
		cp.add(b1); cp.add(b2); cp.add(b3);
	}
}
// <applet code=LnFTest width=300 height=70></applet>
