// AlphaBackground.java
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;
class AlphaFilter extends RGBImageFilter {
	public int filterRGB(int x, int y, int rgb) {
		return (rgb == 0xffffffff) ? 0x00ffffff : rgb;
	}
}
public class AlphaBackground extends java.applet.Applet {
	Image i1, i2;
	public void init() {
		ImageIcon ii = new ImageIcon("images/Bird.gif");
		i1 = ii.getImage();
		i2 = createImage(new FilteredImageSource(
			i1.getSource(), new AlphaFilter()));
		setBackground(Color.lightGray);
	}
	public void paint(Graphics g) {
		g.drawImage(i1, 5, 0, this);
		g.drawImage(i2, 105, 0, this);
	}
}
// <applet code=AlphaBackground width=200 height=110></applet>
