// GradientPaintTest.java
import java.awt.*;
import java.awt.geom.*;
import java.applet.*;
public class GradientPaintTest extends Applet {
	public void paint(Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		GradientPaint gp = new GradientPaint(
			25, 25, 		// point p1
			Color.green,		// color c1
			70, 70,			// point p2
			Color.blue,		// color c2
			true);			// cyclic
		g2.setPaint(gp);
		g2.fill(new Rectangle2D.Double(15, 15, 80, 80));
		g2.setFont(new Font("Dialog", Font.BOLD, 38));
		g2.drawString("Hello", 10, 160);
	}
}
// <applet code=GradientPaintTest width=100 height=200> </applet>
