// ImageProcessing.java
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;
public class ImageProcessing extends java.applet.Applet {
	Image i1, i2;
	public void init() {
		ImageIcon ii = new ImageIcon("images/Bird.gif");
		i1 = ii.getImage();
		int w = i1.getWidth(this); int h = i1.getHeight(this);
		int wh = w*h; int [] p = new int[wh];
		PixelGrabber pg = new PixelGrabber(i1,0,0,w,h,p,0,w);
		try { pg.grabPixels(); } catch (Exception e) { }
		int r, g, b;
		for (int i = 0; i < wh; i++) {
			r = 0xff & (p[i] >> 16);	// get red
			g = 0xff & (p[i] >> 8);	// get green
			b = 0xff & p[i];		// get blue
			p[i] = (255 << 24) | (g << 16) | (r << 8) | b;
		}		// swap red with green
		i2 = createImage(new MemoryImageSource(w,h,p,0,w));
	}
	public void paint(Graphics g) {
		g.drawImage(i1, 10, 10, this);
		g.drawImage(i2, 100, 10, this);
	}
}
// <applet code=ImageProcessing width=200 height=130></applet>
