// ExternalizableTest.java
import java.io.*;
class MyClass implements Externalizable {
	int i;
	String s;
	public MyClass() { }
	public MyClass(int i, String s) { this.i = i; this.s = s;}
	public void writeExternal(ObjectOutput out) throws IOException {
		out.writeInt(i);
		out.writeObject(s);
	}
	public void readExternal(ObjectInput in) throws IOException,
ClassNotFoundException {
		i = in.readInt();
		s = (String) in.readObject();
	}
}
class ExternalizableTest {
	public static void main(String[] args) throws Exception {
		FileOutputStream fos = new FileOutputStream("tmp");
		ObjectOutputStream oos = new ObjectOutputStream(fos);
		oos.writeObject(new MyClass(123, "Hello"));
		oos.close(); fos.close();

		FileInputStream fis = new FileInputStream("tmp");
		ObjectInputStream ois = new ObjectInputStream(fis);
		MyClass m = (MyClass) ois.readObject();
		System.out.println(m.i + "," + m.s);
		ois.close();
	}
}
