// SerGraph.java
import java.io.*;
class A implements Serializable {
	B b;
	A(B b) { this.b = b; }
}
class B implements Serializable {
	int x;
	B(int x) { this.x = x; }
}
class SerGraph {
	public static void main(String[] args) throws Exception {
		B b = new B(1);
		A a1 = new A(b);
		A a2 = new A(b);
		FileOutputStream fo = new FileOutputStream("tmp");
		ObjectOutputStream os = new ObjectOutputStream(fo);
		os.writeObject(a1);
		os.writeObject(a2);
		os.close(); fo.close();

		FileInputStream fi = new FileInputStream("tmp");
		ObjectInputStream oi = new ObjectInputStream(fi);
		a1 = (A) oi.readObject();
		a2 = (A) oi.readObject();
		System.out.println(a1.b.x + "," + a2.b.x);
		a1.b.x = 2;
		System.out.println(a1.b.x + "," + a2.b.x);
		oi.close();
	}
}
